@extends('cms::admin.layouts.app')
@section('content')
    <form action="{{$formRoute}}" method="post"
          @submit="validateBeforeSubmit">
        @csrf
        <div class="card-header text-right">
            <button
                class="btn btn-success">{{trans('cms::admin.update')}}</button>
        </div>
        <div class="card card-body">
            @foreach($options as $option)
                @switch ($option['view'])
                    @case('select2')
                    @component('cms::components.select2')
                        @slot('key', $option['key'])
                        @slot('placeholder',$option['placeholder'])
                        @slot('value', old($option['key'],$option['value']?? null))
                        @slot('validate', $option['validate'])
                        @slot('options', $option['options'])
                    @endcomponent
                    @break
                    @case('input')
                    @component('cms::components.input')
                        @slot('key', $option['key'])
                        @slot('value', old($option['key'],$option['value']?? null))
                        @isset($option['validate'])
                            @slot('validate', $option['validate'])
                        @endisset
                        @isset($option['attributes'])
                            @slot('attributes', $option['attributes'])
                        @endisset
                        @isset($option['placeholder'])
                            @slot('placeholder', $option['placeholder'])
                        @endisset
                        @isset($option['required'])
                            @slot('required', $option['required'])
                        @endisset
                        @isset($option['type'])
                            @slot('type', $option['type'])
                        @endisset
                    @endcomponent
                    @break
                @endswitch
            @endforeach
        </div>
        <div class="card-footer text-right">
            <button
                class="btn btn-success">{{trans('cms::admin.update')}}</button>
        </div>
    </form>
@endsection
