<?php

namespace TDevAgency\DeliveriesPayments\Contracts;


use Exception;
use Illuminate\Support\Facades\App;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Cache;
use Illuminate\Support\Facades\Config;
use Illuminate\Support\Str;
use RuntimeException;
use TDevAgency\DeliveriesPayments\Traits\DeliveryPayment;
use TDevAgency\Erp\Models\CoreConfig;

abstract class Delivery
{
    use DeliveryPayment;

    /**
     * Return localized payment name
     *
     * @return string
     */
    abstract public function getName(): string;


    /**
     * Get payment image
     *
     * @return string
     */
    abstract public function getImage(): string;

    /**
     * U can config options in the class
     *
     * @return array
     */
    abstract public function prepareAdditionalAdminOptions(): array;

}
