<?php


namespace TDevAgency\DeliveriesPayments\Traits;


use Exception;
use TDevAgency\DeliveriesPayments\Drivers\Deliveries\Pickup;

trait Manager
{

    protected $driverName;

    /**
     * @param $method
     * @param $parameters
     * @return mixed
     * @throws \Exception
     */
    public function __call($method, $parameters)
    {
        return $this->driver()->$method(...$parameters);
    }

    /**
     * @param null $name
     * @return mixed
     * @throws \Exception
     */
    public function driver($name = null)
    {
        if ($name !== null) {
            $this->driverName = $name;
        }

        // if the user is not specifing a driver name, we'll use the default.
        $driver = $this->getConfig();

        if (empty($driver['model'])) {
            throw new Exception('Class of driver is not defined.');
        }

        if (!class_exists($driver['model'])) {
            throw new Exception('Class is not exists.');
        }


        return $driver['model']::instance($this->type, $this->driverName);
    }

}
